org.omg.CORBA.portable

## Interface ValueOutputStream

    public interface ValueOutputStream

Java to IDL ptc 02-01-12 1.5.1.3 ValueOutputStream is used for implementing RMI-IIOP stream format version 2.

### Method Summary

Methods
`void` `end_value()` The end_value method ends any currently open chunk, writes the end tag for the nested custom valuetype, and decrements the valuetype nesting depth.
`void` `start_value(String rep_id)` The start_value method ends any currently open chunk, writes a valuetype header for a nested custom valuetype (with a null codebase and the specified repository ID), and increments the valuetype nesting depth.

### Method Detail

#### start_value

    void start_value(String rep_id)

The start_value method ends any currently open chunk, writes a valuetype header for a nested custom valuetype (with a null codebase and the specified repository ID), and increments the valuetype nesting depth.

#### end_value

    void end_value()

The end_value method ends any currently open chunk, writes the end tag for the nested custom valuetype, and decrements the valuetype nesting depth.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.